<?php

namespace App\Models;

# use Illuminate\Database\Eloquent\Model;

class IncomingReport extends Model
{
    protected $table = 'incoming_report';

    public function hcp() {
        return $this->hasOne(Pro::class, 'id', 'hcp_pro_id');
    }

    public function patient(){
        return $this->hasOne(Client::class, 'id', 'client_id');
    }

    public function client(){
        return $this->hasOne(Client::class, 'id', 'client_id');
    }

    public function note() {
        return $this->hasOne(Note::class, 'id', 'note_id');
    }
}
